Bug 1301680 - Install service plugins packages on neutron api node
Install service plugins packages on neutron api node
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Lukas Bezdicka
Alexander Stafeyev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 11:38 EST by Lukas Bezdicka
Modified: 2016-04-07 17:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-puppet-modules-7.0.9-1.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 17:25:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 200877 None None None 2016-01-25 12:05 EST
OpenStack gerrit 281332 None None None 2016-02-23 16:02 EST

  None (edit)
Description Lukas Bezdicka 2016-01-25 11:38:52 EST
Description of problem:
Previously patch in OPM tried to resolve issue where on neutron api node depending on service_plugins input of ::neutron class it would also attempt to install packages needed by the plugins. This change had to be dropped and issue should be solved in composition layers (see https://review.openstack.org/#/c/200877/).
Comment 2 Martin Magr 2016-01-25 12:05:33 EST
Regressions made in puppet-neutron should not be solved in composition layers IMHO, in other words I will support any reasonable solution implemented in patch #200877, but I see fixing the issue in composition layer as a workaround.
Comment 6 Alexander Stafeyev 2016-03-20 07:33:28 EDT
rpm -qa | grep openstack-puppet
openstack-puppet-modules-7.0.15-1.el7ost.noarch
Comment 7 errata-xmlrpc 2016-04-07 17:25:56 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0603.html

Note You need to log in before you can comment on or make changes to this bug.